Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._3._0.rs
Interface RegistryPackage.Literals

Enclosing interface:
  RegistryPackage

    public static interface RegistryPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static org.eclipse.emf.ecore.EClass` | `DOCUMENT_ROOT` The meta object literal for the '`Document Root`' class.
`static org.eclipse.emf.ecore.EAttribute` | `DOCUMENT_ROOT__MIXED` The meta object literal for the 'Mixed' attribute list feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__REGISTRY_ERROR` The meta object literal for the 'Registry Error' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__REGISTRY_ERROR_LIST` The meta object literal for the 'Registry Error List' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__REGISTRY_REQUEST` The meta object literal for the 'Registry Request' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__REGISTRY_RESPONSE` The meta object literal for the 'Registry Response' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__XMLNS_PREFIX_MAP` The meta object literal for the 'XMLNS Prefix Map' map feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__XSI_SCHEMA_LOCATION` The meta object literal for the 'XSI Schema Location' map feature.
`static org.eclipse.emf.ecore.EClass` | `REGISTRY_ERROR_LIST_TYPE` The meta object literal for the '`Error List Type`' class.
`static org.eclipse.emf.ecore.EAttribute` | `REGISTRY_ERROR_LIST_TYPE__HIGHEST_SEVERITY` The meta object literal for the 'Highest Severity' attribute feature.
`static org.eclipse.emf.ecore.EReference` | `REGISTRY_ERROR_LIST_TYPE__REGISTRY_ERROR` The meta object literal for the 'Registry Error' containment reference list feature.
`static org.eclipse.emf.ecore.EClass` | `REGISTRY_ERROR_TYPE` The meta object literal for the '`Error Type`' class.
`static org.eclipse.emf.ecore.EAttribute` | `REGISTRY_ERROR_TYPE__CODE_CONTEXT` The meta object literal for the 'Code Context' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `REGISTRY_ERROR_TYPE__ERROR_CODE` The meta object literal for the 'Error Code' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `REGISTRY_ERROR_TYPE__LOCATION` The meta object literal for the 'Location' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `REGISTRY_ERROR_TYPE__SEVERITY` The meta object literal for the 'Severity' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `REGISTRY_ERROR_TYPE__VALUE` The meta object literal for the 'Value' attribute feature.
`static org.eclipse.emf.ecore.EClass` | `REGISTRY_REQUEST_TYPE` The meta object literal for the '`Request Type`' class.
`static org.eclipse.emf.ecore.EAttribute` | `REGISTRY_REQUEST_TYPE__COMMENT` The meta object literal for the 'Comment' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `REGISTRY_REQUEST_TYPE__ID` The meta object literal for the 'Id' attribute feature.
`static org.eclipse.emf.ecore.EReference` | `REGISTRY_REQUEST_TYPE__REQUEST_SLOT_LIST` The meta object literal for the 'Request Slot List' containment reference feature.
`static org.eclipse.emf.ecore.EClass` | `REGISTRY_RESPONSE_TYPE` The meta object literal for the '`Response Type`' class.
`static org.eclipse.emf.ecore.EReference` | `REGISTRY_RESPONSE_TYPE__REGISTRY_ERROR_LIST` The meta object literal for the 'Registry Error List' containment reference feature.
`static org.eclipse.emf.ecore.EAttribute` | `REGISTRY_RESPONSE_TYPE__REQUEST_ID` The meta object literal for the 'Request Id' attribute feature.
`static org.eclipse.emf.ecore.EReference` | `REGISTRY_RESPONSE_TYPE__RESPONSE_SLOT_LIST` The meta object literal for the 'Response Slot List' containment reference feature.
`static org.eclipse.emf.ecore.EAttribute` | `REGISTRY_RESPONSE_TYPE__STATUS` The meta object literal for the 'Status' attribute feature.

Field Detail

### DOCUMENT_ROOT

    static final org.eclipse.emf.ecore.EClass DOCUMENT_ROOT

  The meta object literal for the '`Document Root`' class.

  See Also:
    `DocumentRootImpl`, `RegistryPackageImpl.getDocumentRoot()`

### DOCUMENT_ROOT__MIXED

    static final org.eclipse.emf.ecore.EAttribute DOCUMENT_ROOT__MIXED

  The meta object literal for the 'Mixed' attribute list feature.

### DOCUMENT_ROOT__XMLNS_PREFIX_MAP

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__XMLNS_PREFIX_MAP

  The meta object literal for the 'XMLNS Prefix Map' map feature.

### DOCUMENT_ROOT__XSI_SCHEMA_LOCATION

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__XSI_SCHEMA_LOCATION

  The meta object literal for the 'XSI Schema Location' map feature.

### DOCUMENT_ROOT__REGISTRY_ERROR

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__REGISTRY_ERROR

  The meta object literal for the 'Registry Error' containment reference feature.

### DOCUMENT_ROOT__REGISTRY_ERROR_LIST

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__REGISTRY_ERROR_LIST

  The meta object literal for the 'Registry Error List' containment reference feature.

### DOCUMENT_ROOT__REGISTRY_REQUEST

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__REGISTRY_REQUEST

  The meta object literal for the 'Registry Request' containment reference feature.

### DOCUMENT_ROOT__REGISTRY_RESPONSE

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__REGISTRY_RESPONSE

  The meta object literal for the 'Registry Response' containment reference feature.

### REGISTRY_ERROR_LIST_TYPE

    static final org.eclipse.emf.ecore.EClass REGISTRY_ERROR_LIST_TYPE

  The meta object literal for the '`Error List Type`' class.

  See Also:
    `RegistryErrorListTypeImpl`, `RegistryPackageImpl.getRegistryErrorListType()`

### REGISTRY_ERROR_LIST_TYPE__REGISTRY_ERROR

    static final org.eclipse.emf.ecore.EReference REGISTRY_ERROR_LIST_TYPE__REGISTRY_ERROR

  The meta object literal for the 'Registry Error' containment reference list feature.

### REGISTRY_ERROR_LIST_TYPE__HIGHEST_SEVERITY

    static final org.eclipse.emf.ecore.EAttribute REGISTRY_ERROR_LIST_TYPE__HIGHEST_SEVERITY

  The meta object literal for the 'Highest Severity' attribute feature.

### REGISTRY_ERROR_TYPE

    static final org.eclipse.emf.ecore.EClass REGISTRY_ERROR_TYPE

  The meta object literal for the '`Error Type`' class.

  See Also:
    `RegistryErrorTypeImpl`, `RegistryPackageImpl.getRegistryErrorType()`

### REGISTRY_ERROR_TYPE__VALUE

    static final org.eclipse.emf.ecore.EAttribute REGISTRY_ERROR_TYPE__VALUE

  The meta object literal for the 'Value' attribute feature.

### REGISTRY_ERROR_TYPE__CODE_CONTEXT

    static final org.eclipse.emf.ecore.EAttribute REGISTRY_ERROR_TYPE__CODE_CONTEXT

  The meta object literal for the 'Code Context' attribute feature.

### REGISTRY_ERROR_TYPE__ERROR_CODE

    static final org.eclipse.emf.ecore.EAttribute REGISTRY_ERROR_TYPE__ERROR_CODE

  The meta object literal for the 'Error Code' attribute feature.

### REGISTRY_ERROR_TYPE__LOCATION

    static final org.eclipse.emf.ecore.EAttribute REGISTRY_ERROR_TYPE__LOCATION

  The meta object literal for the 'Location' attribute feature.

### REGISTRY_ERROR_TYPE__SEVERITY

    static final org.eclipse.emf.ecore.EAttribute REGISTRY_ERROR_TYPE__SEVERITY

  The meta object literal for the 'Severity' attribute feature.

### REGISTRY_REQUEST_TYPE

    static final org.eclipse.emf.ecore.EClass REGISTRY_REQUEST_TYPE

  The meta object literal for the '`Request Type`' class.

  See Also:
    `RegistryRequestTypeImpl`, `RegistryPackageImpl.getRegistryRequestType()`

### REGISTRY_REQUEST_TYPE__REQUEST_SLOT_LIST

    static final org.eclipse.emf.ecore.EReference REGISTRY_REQUEST_TYPE__REQUEST_SLOT_LIST

  The meta object literal for the 'Request Slot List' containment reference feature.

### REGISTRY_REQUEST_TYPE__COMMENT

    static final org.eclipse.emf.ecore.EAttribute REGISTRY_REQUEST_TYPE__COMMENT

  The meta object literal for the 'Comment' attribute feature.

### REGISTRY_REQUEST_TYPE__ID

    static final org.eclipse.emf.ecore.EAttribute REGISTRY_REQUEST_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### REGISTRY_RESPONSE_TYPE

    static final org.eclipse.emf.ecore.EClass REGISTRY_RESPONSE_TYPE

  The meta object literal for the '`Response Type`' class.

  See Also:
    `RegistryResponseTypeImpl`, `RegistryPackageImpl.getRegistryResponseType()`

### REGISTRY_RESPONSE_TYPE__RESPONSE_SLOT_LIST

    static final org.eclipse.emf.ecore.EReference REGISTRY_RESPONSE_TYPE__RESPONSE_SLOT_LIST

  The meta object literal for the 'Response Slot List' containment reference feature.

### REGISTRY_RESPONSE_TYPE__REGISTRY_ERROR_LIST

    static final org.eclipse.emf.ecore.EReference REGISTRY_RESPONSE_TYPE__REGISTRY_ERROR_LIST

  The meta object literal for the 'Registry Error List' containment reference feature.

### REGISTRY_RESPONSE_TYPE__REQUEST_ID

    static final org.eclipse.emf.ecore.EAttribute REGISTRY_RESPONSE_TYPE__REQUEST_ID

  The meta object literal for the 'Request Id' attribute feature.

### REGISTRY_RESPONSE_TYPE__STATUS

    static final org.eclipse.emf.ecore.EAttribute REGISTRY_RESPONSE_TYPE__STATUS

  The meta object literal for the 'Status' attribute feature.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD